#ifndef	__ERRORCODEDEF_H__
#define __ERRORCODEDEF_H__

//return code definition
#define RC_SUCCESS	0
#define RC_NO_ERROR	0

//general error code
#define	RC_INVALID_PARAM				1		//invalid parameter
#define RC_ALLOCATE_MEMORY_FAIL  		2		//fails to allocate memory or system object(e.g. mutex)
#define RC_ERROR			            6		//unknown error
#define RC_DEVICE_ALREADY_OPEN			12		//device always open

//peripheral error
#define RC_PCI_ACCESS_ERROR		(100 + 0)		//fails to open driver

//motion control error
#define RC_MOV_ERR				(200 + 1)		//unknow motion error
#define RC_AXIS_BUSY			(200 + 2)		//the axis is busy
#define RC_EL_ACTIVE			(200 + 5)		//limit switch is active while driving

#endif